Get List Of Wallet (v1)¶
A V2 version of this endpoint is available with a streamlined response and improved performance. We recommend V2 for all new integrations. Refer to Get List of Wallets (v2).
Endpoint¶
Request¶
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Optional | String | Business line ID. If empty, all wallets will be returned |
| type Optional | String | Wallet type, can be Hot or Cold. Both hot and cold wallets will be returned by default Allowed values: HOT, COLD |
| hide_no_coin_wallet Optional | Boolean | If the response needs to filter out zero-balance wallet. The value is true by default Allowed values: true, false |
| coin_names Optional | String[] | Asset name Allowed values: Refer to Coin Name ( API) column in Supported Token |
| wallet_types Optional | String[] | Wallet type Allowed values: MIXED_ADDRESS, SEGREGATED_ADDRESS, DAPP_ADDRESS, DAPP_CUSTOM_ADDRESS |
| key_word Optional | String | Wallet name, ID or key word |
| defi_wallet_code Optional | String | DeFi wallet ID, when only query DeFi wallet list |
| main_wallet_code Optional | String | Main wallet ID |
| chain Optional | String | Chain name, optional param when query DeFi wallet; The result will be all chain wallets by default Allowed values: Refer to Network Symbol column in Supported Token |
| total_market_order Optional | Integer | Sort the wallet by market value, 0 means descending order, 1 means ascending order; The result will be sorted by wallet total market value by default Allowed values: 0, 1 |
| create_time_order Optional | Integer | Sort the wallet by wallet creation time, 0 means descending order, 1 means ascending order; The result will be sorted by wallet total market value by default Allowed values: 0, 1 |
| offset Optional | Integer | Default: 0 |
| limit Optional | Integer | Default: 10 |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Below shows the list of items inside the data object |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Pagination offset |
| limit | Integer | Pagination limit |
| total | Integer | Total number of wallets |
| list | Array | List of wallet(s) (see list array details below) |
list (array of objects)
Each item in list:
| Field | Type | Description |
|---|---|---|
| domain_id | String | Enterprise ID |
| bid | String | Business line ID |
| business_name | String | Business line name |
| wallet_code | String | Wallet ID |
| main_wallet_code | String | DeFi Main wallet ID (only for DeFi wallet) |
| main_wallet | Boolean | Whether this wallet is a main wallet. Values : True, False |
| manage_wallet | Boolean | Indicates whether the wallet is a management wallet. Applicable to ETH multi-signature cold wallets. |
| wallet_name | String | Wallet name |
| coin_name | String | Asset name |
| chain | String | Chain name |
| contract_address | String | Contract address |
| wallet_type | String | Wallet type Values: MIXED_ADDRESS, SEGREGATED_ADDRESS, DAPP_ADDRESS, DAPP_CUSTOM_ADDRESS |
| storage_type | String | Storage type Values: PRIME_HOT, PRIME_COLD_LV1 |
| available_amount | Decimal | Available amount (in smallest unit) |
| available_amount_str | String | Available amount in string format (in smallest unit) |
| freeze_amount | Decimal | Frozen amount (in smallest unit) |
| freeze_amount_str | String | Frozen amount in string format (in smallest unit) |
| total_amount | Decimal | Total asset amount (in smallest unit) |
| total_amount_str | String | Total asset amount in string format (in smallest unit) |
| usd_total_market | Decimal | Total market value in USD |
| usd_total_market_str | String | Total market value in USD in string format |
| cny_total_market | Decimal | Total market value in CNY |
| cny_total_market_str | String | Total market value in CNY in string format |
| coin_status | String | Asset status Allowed values: 1: Normal 2: Restricted Withdrawal 3: Restricted Deposit 4: (Restricted Deposit & Withdrawal) |
| reason_of_status | String | Description of asset status |
| normal_address_limit | Integer | Upper limit of the number of addresses |
| normal_address_num | Integer | Number of addresses applied |
| create_time | Long | Wallet creation time (timestamp in milliseconds) |
| fingerprint | String | A user-friendly asset identifier used to uniquely identify native tokens on the Cardano (ADA) blockchain. |
Response Example¶
{
"code": 0,
"message": "",
"successful": true,
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"domain_id": "1e2fa188f5d44faca64c45485062e829",
"bid": "b4a25892d06542ba8fedb40e99d0c659",
"business_name": "FOR API TEST",
"wallet_code": "DeFiSOL0276728321",
"main_wallet_code": null,
"main_wallet": true,
"manage_wallet": false,
"wallet_name": "",
"coin_name": "SOL",
"chain": "SOLANA",
"contract_address": null,
"wallet_type": "DAPP_ADDRESS",
"storage_type": "PRIME_HOT",
"available_amount": 2999990000,
"available_amount_str": "2999990000",
"freeze_amount": 0,
"freeze_amount_str": "0",
"total_amount": 2999990000,
"total_amount_str": "2999990000",
"usd_total_market": 255.96,
"usd_total_market_str": "255.96",
"cny_total_market": 1748.56,
"cny_total_market_str": "1748.56",
"coin_status": "1",
"reason_of_status": "",
"normal_address_limit": 1,
"normal_address_num": 1,
"create_time": 1768294669000,
"fingerprint": null
}
],
"total": 1
}
}